-- 库存计划 资源注册模型 主键、索引脚本
EXEC P_ALTERPK 'PK_INVP_MODEL_REGISTER', 'T_INVP_MODEL_REGISTER', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_INVP_MODEL_REGISTER' AND KSQL_INDNAME = 'IDX_INVP_MODELR_FNUM') CREATE INDEX IDX_INVP_MODELR_FNUM ON T_INVP_MODEL_REGISTER ( FNUMBER );
-- 多语言表
EXEC P_ALTERPK 'PK_INVP_MODEL_REGISTER_L', 'T_INVP_MODEL_REGISTER_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_INVP_MODEL_REGISTER_L' AND KSQL_INDNAME = 'IDX_INVP_MODELRL_FLOCAL') CREATE INDEX IDX_INVP_MODELRL_FLOCAL ON T_INVP_MODEL_REGISTER_L ( FID ,FLOCALEID );
-- 分录表
EXEC P_ALTERPK 'PK_T_INVP_TARGETENTRY', 'T_INVP_TARGETENTRY', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_INVP_TARGETENTRY' AND KSQL_INDNAME = 'IDX_INVP_TARGETENTRY_FID') CREATE INDEX IDX_INVP_TARGETENTRY_FID ON T_INVP_TARGETENTRY ( FID );
-- 分录表
EXEC P_ALTERPK 'PK_T_INVP_SOURCEENTRY', 'T_INVP_SOURCEENTRY', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_INVP_SOURCEENTRY' AND KSQL_INDNAME = 'IDX_INVP_SOURCEENTRY_FID') CREATE INDEX IDX_INVP_SOURCEENTRY_FID ON T_INVP_SOURCEENTRY ( FID );
