﻿-- 库存计划 供需匹配明细建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_MATCHDETAIL')
 CREATE TABLE T_INVP_MATCHDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FPLANCALNUM NVARCHAR(50) DEFAULT(' ') NOT NULL,
FPLANSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FPLANORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_MATCHDETAIL_ENTRY')
 CREATE TABLE T_INVP_MATCHDETAIL_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT(0) NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FDEMANDORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT(' ') NOT NULL,
FDEMANDDATE DATETIME,
FEXCEPTION NVARCHAR(255) DEFAULT(' ') NOT NULL,
FEXCEPTION_TAG NCLOB NULL,
FSUPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYBILLNO NVARCHAR(50) DEFAULT(' ') NOT NULL,
FSUPPLYDATE DATETIME,
FADJUSTSUGGEST NVARCHAR(50) DEFAULT(' ') NOT NULL,
FADJUSTDATE DATETIME,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FDEMBILLTYPEID NVARCHAR(50) DEFAULT(' ') NOT NULL,
FDEMBILLSEQ BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FSRCDEMANDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEMANDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUPPLYBILLTYPEID NVARCHAR(50) DEFAULT(' ') NOT NULL,
FSUPPLYBILLSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FSUPINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCSUPPLYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCEPTIONNUMID BIGINT DEFAULT 0 NOT NULL
);

