﻿-- 库存计划 计划建议建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_PLANADVICE')
 CREATE TABLE T_INVP_PLANADVICE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FADVICETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANCALNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPLANSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_PLAN_ENTRY')
 CREATE TABLE T_INVP_PLAN_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDEMANDORGID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONFIRMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNPUSHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FDATE DATETIME,
FPLANDATE DATETIME,
FSTARTDATE DATETIME,
FFINISHDATE DATETIME,
FDEMANDBILLID BIGINT DEFAULT 0 NOT NULL,
FDEMANDBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDEMANDBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FDEMANDSEQ INT DEFAULT 0 NOT NULL,
FPLANUSER BIGINT DEFAULT 0 NOT NULL,
FPLANGROUP BIGINT DEFAULT 0 NOT NULL
);
