﻿-- 水位因子
EXEC P_ALTERPK 'PK_INVP_LEVELFACTOR', 'T_INVP_LEVELFACTOR', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_INVP_LEVELFACTOR' AND KSQL_INDNAME = 'IDX_INVP_LEVELFACTOR_FNUM') CREATE INDEX IDX_INVP_LEVELFACTOR_FNUM ON T_INVP_LEVELFACTOR ( FNUMBER );

-- 多语言
EXEC P_ALTERPK 'PK_INVP_LEVELFACTOR_L', 'T_INVP_LEVELFACTOR_L', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_INVP_LEVELFACTOR_L' AND KSQL_INDNAME = 'IDX_INVP_LEVELFACTOR_L') CREATE INDEX IDX_INVP_LEVELFACTOR_L ON T_INVP_LEVELFACTOR_L ( FID ,FLOCALEID );

 -- 分录表
 EXEC P_ALTERPK 'PK_INVP_LEVELFACTORENTRY', 'T_INVP_LEVELFACTORENTRY', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_INVP_LEVELFACTORENTRY' AND KSQL_INDNAME = 'IDX_INVP_LEVELFACTORENTRY_FID') CREATE INDEX IDX_INVP_LEVELFACTORENTRY_FID ON T_INVP_LEVELFACTORENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_INVP_LEVELFACTORENTRY' AND KSQL_INDNAME = 'IDX_INVP_LEVELFACTORENTRY_FPLANTYPE_FRELENTITY') CREATE INDEX IDX_INVP_LEVELFACTORENTRY_FPLANTYPE_FRELENTITY ON T_INVP_LEVELFACTORENTRY ( FPLANTYPE,FRELENTITY );

