﻿-- 库存计划 匹配映射配置建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_MATCHCONFIG')
 CREATE TABLE T_INVP_MATCHCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTGTENTITY VARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCENTITY VARCHAR(80) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_MATCHCONFIG_L')
 CREATE TABLE T_INVP_MATCHCONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_MATCHCONFIG_ENTRY')
 CREATE TABLE T_INVP_MATCHCONFIG_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLEFTBRACKET VARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHGROUPID BIGINT DEFAULT 0 NOT NULL,
FTGTMATCHFIELD VARCHAR(100) DEFAULT ' ' NOT NULL,
FTGTMATCHFIELDKEY VARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCMATCHFIELD VARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCMATCHFIELDKEY VARCHAR(255) DEFAULT ' ' NOT NULL,
FRIGHTBRACKET VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOGIC VARCHAR(50) DEFAULT ' ' NOT NULL
);

