
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_PLANLOG') 
 CREATE TABLE T_INVP_PLANLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FPLANORGID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FPLANTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCALCNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FTIMESPAN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FEXECUTEIP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSRATE BIGINT DEFAULT 0 NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_PLANLOGENTRY') 
 CREATE TABLE T_INVP_PLANLOGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTEPSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCALSTEPID BIGINT DEFAULT 0 NOT NULL,
FPROCESSDATA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTEPTIMESPAN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTEPRESULT CHAR(1) DEFAULT ' ' NOT NULL,
FDETAILMSG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAILMSG_TAG NCLOB
);

