-- 库存水位信息
-- 计划类型
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSPLAN_INVLEVEL' AND KSQL_COL_NAME ='FMAINPLANTYPE')
  ALTER TABLE T_MSPLAN_INVLEVEL ADD (FMAINPLANTYPE CHAR(1) DEFAULT 'A' NOT NULL );

-- 补货周期类型
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSPLAN_INVLEVELENTRY' AND KSQL_COL_NAME ='FSUPPLYTYPE')
  ALTER TABLE T_MSPLAN_INVLEVELENTRY ADD (FSUPPLYTYPE CHAR(1) DEFAULT 'A' NOT NULL );
-- 补货日期
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSPLAN_INVLEVELENTRY' AND KSQL_COL_NAME ='FSUPPLYDAY')
 ALTER TABLE T_MSPLAN_INVLEVELENTRY ADD (FSUPPLYDAY BIGINT DEFAULT 1 NOT NULL );

-- 供应商交期(天)
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSPLAN_INVLEVELENTRY' AND KSQL_COL_NAME ='FDELIVERYTIME')
 ALTER TABLE T_MSPLAN_INVLEVELENTRY ADD (FDELIVERYTIME BIGINT DEFAULT 0 NOT NULL );

-- 计划员
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSPLAN_INVLEVELENTRY' AND KSQL_COL_NAME ='FPLANNER')
 ALTER TABLE T_MSPLAN_INVLEVELENTRY ADD (FPLANNER BIGINT DEFAULT 0 NOT NULL );

-- 计划组
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSPLAN_INVLEVELENTRY' AND KSQL_COL_NAME ='FPLANGROUP')
 ALTER TABLE T_MSPLAN_INVLEVELENTRY ADD (FPLANGROUP BIGINT DEFAULT 0 NOT NULL );

-- 目标库存条数
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSPLAN_INVLEVELENTRY' AND KSQL_COL_NAME ='FTGTINVDAYS')
 ALTER TABLE T_MSPLAN_INVLEVELENTRY ADD (FTGTINVDAYS DECIMAL(23,2) DEFAULT 0 NOT NULL );

-- 紧急补货库存天数
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSPLAN_INVLEVELENTRY' AND KSQL_COL_NAME ='FURGENTINVDAYS')
 ALTER TABLE T_MSPLAN_INVLEVELENTRY ADD (FURGENTINVDAYS DECIMAL(23,2) DEFAULT 0 NOT NULL );